(* Delphi-Unit
   Resource strings for VssUtils - German
   ======================================

    Dr. J. Rathlev, D-24222 Schwentinental (info(a)rathlev-home.de)

   The contents of this file may be used under the terms of the
   Mozilla Public License ("MPL") or
   GNU Lesser General Public License Version 2 or later (the "LGPL")

   Software distributed under this License is distributed on an "AS IS" basis,
   WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
   the specific language governing rights and limitations under the License.

   Version 1.0: February 2015
   *)

unit VssConsts;

interface

function rsVssNotAvail : string;
function rsInitBackupComps : string;
function rsInitMetaData : string;
function rsGatherMetaData : string;
function rsGatherWriterStatus : string;
function rsDscvDirExclComps : string;
function rsDscvNsExclComps : string;
function rsDscvAllExclComps : string;
function rsDscvExclWriters : string;
function rsDscvExpInclComps : string;
function rsSelExpInclComps : string;
function rsSaveBackCompsDoc : string;
function rsAddVolSnapSet : string;
function rsPrepBackup : string;
function rsCreateShadowCopy : string;
function rsCreateCopySuccess : string;
function rsQueryShadowCopies : string;
function rsQuerySnapshotSetID : string;
function rsCreateShadowSet : string;
function rsCompleteBackup : string;

implementation

function rsVssNotAvail : string;
begin
  Result:='Die Volumen-Schattenkopie konnte auf diesem System nicht initialisiert werden!';
  end;

function rsInitBackupComps : string;
begin
  Result:='Das IVssBackupComponents-Interface wird initiaslisiert ...';
  end;

function rsInitMetaData : string;
begin
  Result:='Writer-Metadaten werden initialisiert ...';
  end;

function rsGatherMetaData : string;
begin
  Result:='Writer-Metadaten werden erfasst ...';
  end;

function rsGatherWriterStatus : string;
begin
  Result:='Status der Writer wird erfasst ...';
  end;

function rsDscvDirExclComps : string;
begin
  Result:='Direkt auszuschlieende Komponenten werden ermittelt ...';
  end;

function rsDscvNsExclComps : string;
begin
  Result:='Komponenten, die nicht zum Schattenkopiesatz gehren, werden ermittelt ...';
  end;

function rsDscvAllExclComps : string;
begin
  Result:='Die ausgeschlossenen Komponenten werden ermittelt ...';
  end;

function rsDscvExclWriters : string;
begin
  Result:='Ausgeschlossene Writer werden ermittelt ...';
  end;

function rsDscvExpInclComps : string;
begin
  Result:='Ausdrcklich einzuschlieende Komponenten werden ermittelt ...';
  end;

function rsSelExpInclComps : string;
begin
  Result:='Ausdrcklich einzuschlieende Komponenten auswhlen ...';
  end;

function rsSaveBackCompsDoc : string;
begin
  Result:='Das Backupkomponenten-Dokument wird gespeichert ...';
  end;

function rsAddVolSnapSet : string;
begin
  Result:='Dem Snapshotsatz werden Datentrger hinzugefgt ...';
  end;

function rsPrepBackup : string;
begin
  Result:='Das Backup wird vorbereitet ...';
  end;

function rsCreateShadowCopy : string;
begin
  Result:='Die Schattenkopie wird erstellt ...';
  end;

function rsCreateCopySuccess : string;
begin
  Result:='Der Schattenkopiesatz wurde erfolgreich erstellt';
  end;

function rsQueryShadowCopies : string;
begin
  Result:='Alle Schattenkopien im System werden abgefragt ...';
  end;

function rsQuerySnapshotSetID : string;
begin
  Result:='Alle Schattenkopien mit dem SnapshotSetID %s werden abgefragt ...';
  end;

function rsCreateShadowSet : string;
begin
  Result:='Ein Schattenkopiesatz {%s} wird erstellt ...';
  end;

function rsCompleteBackup : string;
begin
  Result:='Das Backup wird abgeschlossen ...';
  end;

end.
